QGIS Application - Bug report #11145

Large format export/printing (with transparencies and blending modes) crashes QGIS 2.4 on
Windows 32bit

2014-09-05 01:21 AM - Bernd Eversmann

Status: Closed

Priority: High

Assignee: Jurgen Fischer

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupitsdata: Copied to github as #: 19472
Description

| have a project | need to export as an DIN A0 map. The map contains shapeburst fills, transparencies and objects with blending modes.

This is what happens:

- When | try to export the map in DIN AO (as .tiff, .jpg or .pdf), choosing print as raster, QGIS crashes, an empty file is created.

- When | export the same map in DIN A3 (raster resolution 300dpi), the file is written correctly.

- When | leave away all special effects (transparencies, blending modes) and do not tick 'print as raster’, the file exports without problems
in AO size.

- When I try to export in A2, | get a "bad allocation" error message, and the map including all elements turns into a white page in print
composer, until | restart QGIS. An empty file is written.

I am using QGIS 2.4 (osgeo4w installer) on Windows. The problems are the same using the Master (2.5) version.

| think this is quite a serious bug, because it makes it impossible to print cartographically demanding maps in large format.

Bernd

Related issues:
Related to QGIS Application - Feature request # 11473: Use TLS v1.2 instead o... Closed 2014-10-22

History

#1 - 2014-09-05 01:51 PM - Nyall Dawson

Are you using a 64bit build? If not, I'd suggest you make the switch - 64 bit builds have much better support for large high resolution outputs.

#2 - 2014-09-09 02:36 AM - Bernd Eversmann

My machine at work is Windows 32bit. Is seems | have to switch. On my Mac (10.9, 64bit) the file export works just fine up to DIN A0, with all sorts of
'special effects' and big raster backgrounds.

That's good to know, but on 32bit machines this problem is still a serious limitation...

#3 - 2014-10-30 10:24 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to master

- Subject changed from Large format export/printing (with transparencies and blending modes) crashes QGIS 2.4 to Large format export/printing (with
transparencies and blending modes) crashes QGIS 2.4 on Windows 32bit
That's good to know, but on 32bit machines this problem is still a serious limitation...

this issue is known since long ago so i don't even know that we should keep this open (because evidently it has no easy solution) and instead document it.

If I'm not wrong 32bit qgis on Linux and OsX does not crash in the same situations, is just a Windows thing.

#4 - 2014-10-30 10:25 AM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2015-01-16 10:25 AM - Jiirgen Fischer
- Assignee set to Jirgen Fischer

#6 - 2015-01-21 04:18 AM - Jiirgen Fischer

Qtin OSGeo4W 32bit was updated to 4.8.6 - please verify that it also solved the printing issue.

#7 - 2015-01-21 10:12 PM - Bernd Eversmann

Unfortunately | don't have access to a Win32 machine with QGIS at the moment. Can anyone else verify?

#8 - 2015-05-22 05:15 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

Bernd Eversmann wrote:

Unfortunately | don't have access to a Win32 machine with QGIS at the moment. Can anyone else verify?

seems fine in my tests, please reopen if necessary.
